#ifndef SCREEN_H
#define SCREEN_H

#define GBWIDTH  160
#define GBHEIGHT 144
#define SGBWIDTH  256
#define SGBHEIGHT 224

extern u32 tvmode;
extern int screen_w, screen_h;
extern GXRModeObj *vmode;
extern u32 *xfb[2];
extern long pg_showframe;
extern long pg_drawframe;

void screenInit();
void Draw_Char_Hankaku(int x,int y,const unsigned char c,u32 col);
void Draw_Char_Zenkaku(int x,int y,const unsigned char u,unsigned char d,u32 col);
void mh_print(int x,int y,const char *msg,u32 col);
void pgPrintf(int x,int y,u32 color,const char *str, ...);

void pgBitBltSgb(unsigned long x,unsigned long y,u16 *d);
void pgBitBltN2(unsigned long x, unsigned long y, u16 *d);
void pgBitBltN3(unsigned long x, unsigned long y, u16 *d);

#endif
